Bug 809148 - Changes to desktop widget settings do not survive reboot.
Changes to desktop widget settings do not survive reboot.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 11:29 EDT by Emmett Culley
Modified: 2013-02-13 18:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:30:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmett Culley 2012-04-02 11:29:08 EDT
Description of problem:

I use multiple activities each with multiple desktops.  When I add a folder view widget to a desktop any settinga for that object I make different from the defaults, including resizing the object, none of thos settings survive a reboot.  So I have to revonfigure each object every time I reboot my system.

Version-Release number of selected component (if applicable):

4.8.1-6.fc16.x86_64

How reproducible:

Every time I reboot.

Steps to Reproduce:
1. Change size of any or all folder view widgets and reposition objects in the view
2. Restart workstation
3. All Folder view objects are reset back to a default size and any setting mad on the configuration dialog are lost
  
Actual results:

Widget settings do not survive reboot

Expected results:

Widget setting should survive reboot

Additional info:

Fully updated Fedora 16.  I have noticed this problem since I started using multiple activities.

One note, I also have each activity set to allow different widgets for each desktop.
Comment 1 Kevin Kofler 2012-04-02 11:36:13 EDT
The Version field should reflect the version of Fedora, not of the package.

As for your actual issue, it looks like Plasma is crashing on exit, before it gets a chance to save its settings. A workaround is to (after making the desired settings changes) bring up the panel settings by clicking on the icon on the right end of the panel (which looks like a cashew nut), then close the panel settings. This is one of the few actions which trigger an immediate configuration write in Plasma. But for a real fix, we will need to figure out where it crashes.
Comment 2 Emmett Culley 2012-04-02 12:33:00 EDT
Opening and closing the panel settings did have the changes stick between logging out and back in again, but not after rebooting.

This time I rebooted by first loggin out then selecting to restart from the KDM menu.  None of the changes I made to desktop widgets stuck.
Comment 3 Fedora End Of Life 2013-01-16 14:54:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 18:30:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.